import logging
import logging.handlers
import sys

DEFAULT_LOG_FORMATTER = logging.Formatter(
    '%(asctime)s %(levelname)-8s %(name)s:%(lineno)s '
    '[%(threadName)s] - %(message)s', datefmt='%Y-%m-%d %H:%M:%S')
DEFAULT_LOG_PATH = "/var/log/proton/napps.log"


def setup_logger():
    log = logging.getLogger()
    log.setLevel(logging.DEBUG)
    fh_info = logging.FileHandler(DEFAULT_LOG_PATH)
    fh_info.setLevel(logging.INFO)
    fh_info.setFormatter(DEFAULT_LOG_FORMATTER)
    log.addHandler(fh_info)
    fh_out = logging.StreamHandler(sys.stdout)
    fh_out.setLevel(logging.INFO)
    fh_out.setFormatter(DEFAULT_LOG_FORMATTER)
    log.addHandler(fh_out)
    return log


def get_logger(name):
    if name is None:
        return logging.getLogger()
    else:
        return logging.getLogger(name)
